[HACKERS] Re: [HACKERS] PL/Perl build problem: error: ‘OP_SETSTATE’ undeclared

2012-08-14 Thread Alex Hunsaker
On Sun, Aug 12, 2012 at 9:57 PM, Peter Eisentraut pete...@gmx.net wrote: It appears that a recent Perl version (I have 5.14.2) has eliminated OP_SETSTATE, which causes the current PostgreSQL build to fail: plperl.c: In function ‘_PG_init’: plperl.c:442:5645: error: ‘OP_SETSTATE’ undeclared

Re: [HACKERS] Re: [HACKERS] PL/Perl build problem: error: ‘OP_SETSTATE’ undeclared

2012-08-14 Thread Peter Eisentraut
On Tue, 2012-08-14 at 20:58 -0600, Alex Hunsaker wrote: I know i've used 5.14 in the past successfully. Wat happens if you regenerate plperl_opmask.h? (rm plperl_opmask.h make) Yeah, it seems to have something to do with a perl upgrade happening between builds. It was fixed by building from

[HACKERS] PL/Perl build problem: error: ‘OP_SETSTATE’ undeclared

2012-08-12 Thread Peter Eisentraut
It appears that a recent Perl version (I have 5.14.2) has eliminated OP_SETSTATE, which causes the current PostgreSQL build to fail: plperl.c: In function ‘_PG_init’: plperl.c:442:5645: error: ‘OP_SETSTATE’ undeclared (first use in this function) plperl.c:442:5645: note: each undeclared